[Overview][Resource strings][Types][Classes][Index] | Reference for unit 'CacheCls' (#fcl)

# TCache.SlotCount

Number of slots in the list

## Declaration

Source position: cachecls.pp line 91

`public property TCache.SlotCount : Integer read FSlotCount write SetSlotCount;`

## Description

SlotCount is the number of slots in the list. Its initial value is set when the TCache instance is created, but this can be changed at any time. If items are added to the list and the list is full, then the number of slots is not increased, but the least used item is dropped from the list. In that case OnFreeSlot is called.

## See also

TCache.Create |  | Create a new cache class.
TCache.Data |  | Indexed access to data items
TCache.Slots |  | Indexed array to the slots

Documentation generated on: Feb 26 2014